Questions about the management of packages, in particular the `dpkg` system.

learn more… | top users | synonyms (4)

369
votes
15answers
508k views

How do I resolve unmet dependencies after adding a PPA?

Occasionally, when I'm installing stuff, I get an error like the following: Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the ...
184
votes
23answers
221k views

How can I install software or packages without Internet (offline)?

I have a friend who has got a computer that is not connected to the Internet. Is there any way to install software offline easily?
317
votes
15answers
889k views

Unable to lock the administration directory (/var/lib/dpkg/) is another process using it?

I get this error when trying to use apt-get: E: Could not get lock /var/lib/dpkg/lock - open (11 Resource temporarily unavailable) E: Unable to lock the administration directory (/var/lib/dpkg/) is ...
88
votes
7answers
21k views

Why don't the Ubuntu repositories have the latest versions of software?

Why are packages in the official Ubuntu repositories older than the latest (upstream) versions from Debian Sid, PPAs, the authors, etc.?
177
votes
10answers
129k views

How to prevent updating of a specific package?

Because of bug #693758 I'd like to prevent apt-get upgrade and Update Manager from updating the "libgtk2.0-0" package. How can this be achieved?
185
votes
14answers
119k views

How to backup settings and list of installed packages

If I want to make a backup of everything I have done since the fresh install of Ubuntu, what are the possible options? What all should I backup? I want to get all the settings that I changed, all the ...
59
votes
4answers
273k views

How do I enable the “Universe” repository?

How do I get to Universe Repository of Ubuntu software as mentioned in Ubuntu 12.04 LTS? I am installing 12.04 Ubuntu. Please help.
854
votes
18answers
1.3m views

How to list all installed packages

I'd like to output a list of all installed packages into a text file so that I can review it and bulk-install on another system. How would I do this?
40
votes
5answers
319k views

“Unable to locate package” while trying to install packages by apt

When I try to install any package through the command line, I get an error. Can anyone help me on this? $ sudo apt-get install <package> Reading package lists... Done Building dependency tree ...
200
votes
6answers
96k views

How do I find the package that provides a file?

Simple enough question: is there some shell command (or GUI method) I can use that, given the path to a file on my system, tells me what package put it there? Assuming the file did in fact come from a ...
240
votes
7answers
510k views

What is the correct way to completely remove an application?

I've searched the net for such information and found different command lines, like these ones: sudo apt-get remove application sudo apt-get remove application* sudo apt-get remove --purge ...
71
votes
5answers
71k views

If I build a package from source how can I uninstall or remove completely?

I used source code to build one package such as below: ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib --with-package-name="Myplugin" --with-package-origin="...
104
votes
3answers
102k views

How do I deal with “unauthenticated sources” errors in the Software Center?

Any install that I'm trying through the Software Center is telling me: Requires installation of untrusted packages: The action would require the installation of packages from not authenticated ...
36
votes
2answers
39k views

How do you run a 32-bit program on a 64-bit version of Ubuntu?

I have a 64-bit version of Ubuntu 13.10. I want to run a 32-bit version of a program. However I see ia32-libs is not included in 13.10. Is there a replacement package for this or what?
68
votes
4answers
116k views

Requires installation of untrusted packages?

I tried installing VLC Player yesterday, and I got the Requires installation of untrusted packages error. I searched for hours for a solution to this problem, and finally came upon a suggestion that ...
38
votes
3answers
147k views

How do I enable the “multiverse” repository?

I keep seeing places refer to the "multiverse" repository as a place I can get software, how can I enable this repository? Please specify how to do this graphically and via command line.
392
votes
12answers
314k views

“The following packages have been kept back:” Why and how do I solve it?

I just added a PPA repository for the development version of the GIMP, but I get this error The following packages have been kept back: gimp gimp-data libgegl-0.0-0 libgimp2.0 Why and how can I ...
-3
votes
0answers
393 views

Unable to locate package [duplicate]

There are many questions about Unable to locate package. For example : if user try to install package by using apt-get then the following error shown. (Here package is used only as example for ...
9
votes
7answers
20k views

Dependency error while installing WINE

Every time I try to install "WINE" VIA the Software Center on Ubuntu 12.10, I get this error: The following packages have unmet dependencies: wine1.4: PreDepends: dpkg (>= 1.15.7.2~) but 1.16....
105
votes
5answers
331k views

How can you completely remove a package?

I am trying to do a clean install of the octave3.2 package. To do this, I removed it, then tried to reinstall it. When I reinstalled, an error occurred. It could be a bug in the package, but I ...
24
votes
3answers
147k views

how to install packages with apt-get on a system connected via proxy?

I've got an Ubuntu 11.10 system connected via a proxy to the internet, and I would like to install packages via apt-get. When I try to do that I get this error message: sudo apt-get install libboost-...
16
votes
3answers
61k views

How do I enable the “Universe” repository from the command line?

How do you use terminal to enable Universe source? Or any those 4 from Software Sources: Main, Universe, Restricted, Multiverse Main is on by default and Restricted is on if durring Ubuntu ...
30
votes
8answers
45k views

How do I enable the “partner” repository?

I keep seeing places refer to the "partner" repository as a place I can get software, how can I enable this repository? Please specify how to do this graphically and via command line.
39
votes
5answers
36k views

How to set up an APT repository?

I would like to set up an APT repository on a server that will provide a couple of packages. Is there a way to set one up without installing any software on the server? How do the files have to be ...
113
votes
6answers
82k views

Why am I getting authentication errors for packages from an Ubuntu repository?

I'm experimenting with VPNs, so I wanted to install pptpd. john@desktop:~$ sudo apt-get install pptpd [sudo] password for john: <snip> The following extra packages will be installed: bcrelay ...
156
votes
5answers
193k views

How to Downgrade a Package via apt-get?

How to downgrade a package to an older version via apt-get?! Another tools are also accepted but apt-get is preferred.
62
votes
11answers
8k views

Why can't I update applications without upgrading the whole OS?

In Ubuntu, once a release is out the software one has installed receives security updates only. In Windows, I can get new versions of programs with new features. How can Windows do this and why can't ...
23
votes
6answers
73k views

Package system is broken. How to fix it?

I just recently bought an arduino and requires gcc-avr/avrdude to compile the software. I installed avr for another microprocessor component a while ago but is obviously an outdated version (gcc ...
44
votes
11answers
70k views

How do I install and manage RPMs?

I have a burning desire to install RPMs onto my Ubuntu installation - is this possible? Can I use Yum - or another RPM Package Management tool?
36
votes
3answers
121k views

E: Unable to correct problems, you have held broken packages

I am using Ubuntu 13.04 which I installed few days back. I am trying to install nodejs and npm. I tried to install from command line first and then uninstalled it. Then something broke. sudo apt-get ...
22
votes
3answers
9k views

apt-get remove with wildcard removed way more than expected. why?

Last night I was trying to burn CDs. Being annoyed with k3b and choosing to use brasero instead, I went to remove k3b. I typed in: sudo apt-get remove k3b I hit tab twice and saw that I had both ...
12
votes
2answers
594 views

Why doesn't Ubuntu ship an application, or the latest versions of some applications? [duplicate]

What reasons are there for applications in Ubuntu not being the most up-to-date, and why are some applications not available, in its repositories?
59
votes
3answers
50k views

How can I restore configuration files?

I would like to restore LightDM to its default state, because for some reason /etc/lightdm/unity-greeter.conf is now an empty file. Deleting /etc/lightdm/unity-greeter.conf and then running sudo apt-...
15
votes
3answers
5k views

How do I add the “proposed” repository?

I'm trying to either test a fix that's been proposed or I want to volunteer to test stable release updates before they are pushed out to general users, how can I enable the "proposed" repository?
184
votes
6answers
143k views

How can I install just security updates from the command line?

sudo apt-get upgrade installs all updates, not just security updates. I know that I can use Update Manager to select only important security updates, but is there a way to do this from the command ...
192
votes
5answers
201k views

How do I get a list of installed files from a package?

I want to know where I can find my installed application when I installed it on Ubuntu using package manager. I installed RabbitMQ and ran locate rabbitmq which gave me following result: /home/...
31
votes
5answers
31k views

How to fix “Package is in a very bad inconsistent state” error?

I can't update my system because it freezes while installing a third-party update (zramswap-enabler)! Sometimes I get the following message in Update manager: Could not initialize the package ...
20
votes
2answers
9k views

Install packages from newer release without building (apt pinning)

I need these packages with the latest upstream version backported for ubuntu/natty libccid_1.4.5-0ubuntu1_amd64.deb libpcsclite1_1.8.1-0ubuntu1_amd64.deb libpcsclite-dev_1.8.1-0ubuntu1_amd64.deb ...
10
votes
7answers
26k views

How can I update Ubuntu offline without using Synaptic or Keryx?

I use Ubuntu 12.04 at my home and have good internet connection and my system works fine. One of my friend is having small office and he is thinking to switch from Windows to Ubuntu 11.10 or above. ...
8
votes
2answers
18k views

What does: Error Broken count >0 mean?

I have the message: Error Broken count >0 Check if you are using third party repositories. If so disable them, since they are a common source of problems. Furthermore run the following command in ...
7
votes
3answers
9k views

Cannot install any software from the Software Center due to ttf-mscorefonts-installer package error

When I try to install any software from ubuntu software center it comes with error: An unhandled error occured There seems to be a programming error in aptdaemon. This is the software that allows you ...
20
votes
5answers
38k views

Steam Install Error on 14.04 Ubuntu 64bit

I have tried some of the solutions posted elsewhere in the support forum, one seemed like it worked but after a steam update i found myself back at square one I am a new Linux user and am already at ...
24
votes
4answers
56k views

How to install GUI desktop on a server?

After installing Ubuntu server how do I install the desktop environment?
31
votes
7answers
12k views

What is a “bad quality” package?

What does it mean to have a Bad Quality Package (What qualities would it have to be a Bad quality package) and what happens if I install a package that has bad quality but still installs.
2
votes
4answers
14k views

How to get Bamboo Pad working on Ubuntu 14.04

I'm trying to get Bamboo Pad working on Ubuntu 14.04 I am sure that device is not broken = I can see it via lsusb All "howtogetyourwacomtabletworking" guides are designed for older versions of ...
147
votes
6answers
72k views

Is aptitude still considered superior to apt-get?

When I first started with Ubuntu using aptitude was the 'in-thing', with some stated improvements over apt-get. Am I correct in saying that apt-get has now 'caught up' with aptitude, and it makes ...
27
votes
1answer
12k views

Should I use tasksel, tasks in APT or install regular metapackages?

Tasksel or plain Apt? In the past I've always used tasksel to install so-called "tasks". It seems, however, that this has been integrated in APT: apt-cache dumpavail | grep ^Task [...] snip Task: ...
18
votes
9answers
50k views

How to completely remove kubuntu-desktop from Ubuntu

I installed kubuntu-desktop just to experiment with its interface. Then I decided to remove and did the traditional apt-get purge and autoremove but it seems elements of kubuntu are still there. For ...
10
votes
4answers
16k views

What are the options for managing multiple Ubuntu installations together and keeping them in same state

Recently I got in charge of managing 2 computer labs (currently 35 workstations, could double in a month or two) in university with total control over software stack as long as I install a bunch of ...
302
votes
8answers
915k views

How to install updates via command line?

When I log into my web server via SSH I see the information: 88 packages can be updated. 80 updates are security updates I tried apt-get update then apt-get upgrade but each time I log in I still ...